diff -ruNp kdepim-4.14.0-orig/kaddressbook/CMakeLists.txt kdepim-4.14.0/kaddressbook/CMakeLists.txt
--- kdepim-4.14.0-orig/kaddressbook/CMakeLists.txt	2014-08-13 13:38:21.000000000 -0500
+++ kdepim-4.14.0/kaddressbook/CMakeLists.txt	2014-08-25 20:35:14.000000000 -0500
@@ -30,6 +30,7 @@ add_subdirectory(printing)
 add_subdirectory(tests)
 if(QGPGME_FOUND)
   add_definitions(-DQGPGME_FOUND)
+  include_directories(${GPG_ERROR_INCLUDE_DIR})
 endif()
 
 set(kaddressbook_sendmail_SRCS
diff -ruNp kdepim-4.14.0-orig/mailcommon/CMakeLists.txt kdepim-4.14.0/mailcommon/CMakeLists.txt
--- kdepim-4.14.0-orig/mailcommon/CMakeLists.txt	2014-08-13 13:38:21.000000000 -0500
+++ kdepim-4.14.0/mailcommon/CMakeLists.txt	2014-08-25 20:35:14.000000000 -0500
@@ -15,6 +15,7 @@ include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/snippets
   ${CMAKE_CURRENT_SOURCE_DIR}/folder
   ${CMAKE_CURRENT_SOURCE_DIR}/util
+  ${GPG_ERROR_INCLUDE_DIR}
 )
 
 #add_definitions( -DQT_NO_CAST_FROM_ASCII )
diff -ruNp kdepim-4.14.0-orig/messagecomposer/CMakeLists.txt kdepim-4.14.0/messagecomposer/CMakeLists.txt
--- kdepim-4.14.0-orig/messagecomposer/CMakeLists.txt	2014-08-13 13:38:21.000000000 -0500
+++ kdepim-4.14.0/messagecomposer/CMakeLists.txt	2014-08-25 20:35:14.000000000 -0500
@@ -12,6 +12,7 @@ include_directories(
     ${CMAKE_SOURCE_DIR}/messagecomposer/utils/
     ${CMAKE_SOURCE_DIR}/messagecomposer/composer/
     ${CMAKE_SOURCE_DIR}/pimcommon/
+    ${GPG_ERROR_INCLUDE_DIR}
 )
 
 add_definitions( -DQT_NO_CAST_FROM_ASCII )
diff -ruNp kdepim-4.14.0-orig/messagecore/tests/CMakeLists.txt kdepim-4.14.0/messagecore/tests/CMakeLists.txt
--- kdepim-4.14.0-orig/messagecore/tests/CMakeLists.txt	2014-08-13 13:38:21.000000000 -0500
+++ kdepim-4.14.0/messagecore/tests/CMakeLists.txt	2014-08-25 20:35:14.000000000 -0500
@@ -2,7 +2,7 @@ set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURR
 
 add_subdirectory(gnupg_home)
 
-include_directories( ${Boost_INCLUDE_DIR} ${CMAKE_SOURCE_DIR}/messagecore )
+include_directories( ${Boost_INCLUDE_DIR} ${CMAKE_SOURCE_DIR}/messagecore ${GPG_ERROR_INCLUDE_DIR})
 include ( ${CMAKE_SOURCE_DIR}/cmake/modules/kde4_handle_crypto_rpath_for_executable.cmake )
 
 # Convenience macro to add unit tests.
diff -ruNp kdepim-4.14.0-orig/messageviewer/a11y/CMakeLists.txt kdepim-4.14.0/messageviewer/a11y/CMakeLists.txt
--- kdepim-4.14.0-orig/messageviewer/a11y/CMakeLists.txt	2014-08-13 13:38:21.000000000 -0500
+++ kdepim-4.14.0/messageviewer/a11y/CMakeLists.txt	2014-08-25 20:35:14.000000000 -0500
@@ -1,5 +1,5 @@
 
-include_directories( ../ )
+include_directories( ../ ${GPG_ERROR_INCLUDE_DIR} )
 
 set(messagevieweraccessiblewidgetfactory_SRCS
     messagevieweraccessiblewidgetfactory.cpp
diff -ruNp kdepim-4.14.0-orig/messageviewer/tests/CMakeLists.txt kdepim-4.14.0/messageviewer/tests/CMakeLists.txt
--- kdepim-4.14.0-orig/messageviewer/tests/CMakeLists.txt	2014-08-13 13:38:21.000000000 -0500
+++ kdepim-4.14.0/messageviewer/tests/CMakeLists.txt	2014-08-25 20:35:14.000000000 -0500
@@ -6,6 +6,7 @@ include_directories(
   ${CMAKE_SOURCE_DIR}/messageviewer/
   ${CMAKE_BINARY_DIR}/messageviewer/
   ${Boost_INCLUDE_DIRS}
+  ${GPG_ERROR_INCLUDE_DIR}
 )
 include ( ${CMAKE_SOURCE_DIR}/cmake/modules/kde4_handle_crypto_rpath_for_executable.cmake )
 
diff -ruNp kdepim-4.14.0-orig/mobile/api/mail/CMakeLists.txt kdepim-4.14.0/mobile/api/mail/CMakeLists.txt
--- kdepim-4.14.0-orig/mobile/api/mail/CMakeLists.txt	2014-08-13 13:38:21.000000000 -0500
+++ kdepim-4.14.0/mobile/api/mail/CMakeLists.txt	2014-08-25 20:37:01.000000000 -0500
@@ -21,7 +21,7 @@ INCLUDE_DIRECTORIES(
 
 qt4_automoc(${mail_SRCS})
 
-kde4_add_library(mailplugin SHARED ${mail_SRCS})
+kde4_add_library(mailplugin MODULE ${mail_SRCS})
 
 target_link_libraries(mailplugin
 
@@ -34,4 +34,4 @@ target_link_libraries(mailplugin
 )
 
 install(TARGETS mailplugin DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/pim/mail)
-install(FILES qmldir DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/pim/mail)
\ No newline at end of file
+install(FILES qmldir DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/pim/mail)
diff -ruNp kdepim-4.14.0-orig/mobile/mail/CMakeLists.txt kdepim-4.14.0/mobile/mail/CMakeLists.txt
--- kdepim-4.14.0-orig/mobile/mail/CMakeLists.txt	2014-08-13 13:38:21.000000000 -0500
+++ kdepim-4.14.0/mobile/mail/CMakeLists.txt	2014-08-25 20:35:14.000000000 -0500
@@ -23,6 +23,7 @@ include_directories(
   ${CMAKE_SOURCE_DIR}/pimcommon/
   ${CMAKE_SOURCE_DIR}/libkdepim/
   ${Boost_INCLUDE_DIR}
+  ${GPG_ERROR_INCLUDE_DIR}
 )
 
 set(kmail_mobile_srcs
diff -ruNp kdepim-4.14.0-orig/plugins/messageviewer/bodypartformatter/CMakeLists.txt kdepim-4.14.0/plugins/messageviewer/bodypartformatter/CMakeLists.txt
--- kdepim-4.14.0-orig/plugins/messageviewer/bodypartformatter/CMakeLists.txt	2014-08-13 13:38:21.000000000 -0500
+++ kdepim-4.14.0/plugins/messageviewer/bodypartformatter/CMakeLists.txt	2014-08-25 20:35:14.000000000 -0500
@@ -6,6 +6,7 @@ include_directories(
   ${CMAKE_SOURCE_DIR}/messagecore/
   ${CMAKE_SOURCE_DIR}/libkdepim/
   ${Boost_INCLUDE_DIRS}
+  ${GPG_ERROR_INCLUDE_DIR}
 )
 
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
diff -ruNp kdepim-4.14.0-orig/templateparser/CMakeLists.txt kdepim-4.14.0/templateparser/CMakeLists.txt
--- kdepim-4.14.0-orig/templateparser/CMakeLists.txt	2014-08-13 13:38:21.000000000 -0500
+++ kdepim-4.14.0/templateparser/CMakeLists.txt	2014-08-25 20:35:14.000000000 -0500
@@ -23,6 +23,7 @@ include_directories(
   ${CMAKE_SOURCE_DIR}/messagecore
   ${CMAKE_SOURCE_DIR}/messageviewer
   ${CMAKE_SOURCE_DIR}/pimcommon
+  ${GPG_ERROR_INCLUDE_DIR}
 )
 
 kde4_add_kcfg_files(templateparser_LIB_SRCS settings/templatesconfiguration_kfg.kcfgc)
--- a/kdgantt2/CMakeLists.txt	2017-12-04 01:56:37.000000000 +0900
+++ b/kdgantt2/CMakeLists.txt	2017-12-04 01:56:46.000000000 +0900
@@ -41,7 +41,6 @@
   kdganttsummaryhandlingproxymodel
   kdganttview
   kdganttlegend
-  kdgantttimescalezoomdialog
 )
 foreach(it ${libkdgantt_mocable_files})
   qt4_generate_moc(${it}.h ${CMAKE_BINARY_DIR}/kdgantt2/moc_${it}.cpp)
diff -ruN kdepim-4.14.6-orig/knode/knfiltermanager.cpp kdepim-4.14.6/knode/knfiltermanager.cpp
--- kdepim-4.14.6-orig/knode/knfiltermanager.cpp	2015-02-26 15:32:46.000000000 -0600
+++ kdepim-4.14.6/knode/knfiltermanager.cpp	2020-07-06 05:58:58.000000000 -0500
@@ -201,7 +201,7 @@
     foreach ( KNArticleFilter *filter, mFilterList )
       activeFilters << filter->id();
     int newId = 1;
-    while ( activeFilters.contains( newId ) > 0 )
+    while ( activeFilters.contains( newId ) != NULL )
       newId++;
     f->setId( newId );
   }
diff -ruN kdepim-4.14.6-orig/korganizer/kodaymatrix.cpp kdepim-4.14.6/korganizer/kodaymatrix.cpp
--- kdepim-4.14.6-orig/korganizer/kodaymatrix.cpp	2015-02-26 15:32:46.000000000 -0600
+++ kdepim-4.14.6/korganizer/kodaymatrix.cpp	2020-07-06 05:59:20.000000000 -0500
@@ -862,7 +862,7 @@
       p.setPen( actcol );
     }
     // reset bold font to plain font
-    if ( mEvents.contains( mDays[i] ) > 0 ) {
+    if ( mEvents.contains( mDays[i] ) != NULL ) {
       QFont myFont = font();
       myFont.setBold( false );
       p.setFont( myFont );