diff -ruN akonadi-17.08.3-orig/autotests/libs/testrunner/CMakeLists.txt akonadi-17.08.3/autotests/libs/testrunner/CMakeLists.txt
--- akonadi-17.08.3-orig/autotests/libs/testrunner/CMakeLists.txt	2017-10-29 02:18:48.000000000 -0500
+++ akonadi-17.08.3/autotests/libs/testrunner/CMakeLists.txt	2021-10-14 05:50:36.000000000 -0500
@@ -9,6 +9,7 @@
 )
 
 add_executable(akonaditest ${akonaditest_SRCS})
+set_target_properties(akonaditest PROPERTIES MACOSX_BUNDLE off)
 
 target_link_libraries(akonaditest
   KF5::AkonadiCore 
diff -ruN akonadi-17.08.3-orig/src/agentserver/CMakeLists.txt akonadi-17.08.3/src/agentserver/CMakeLists.txt
--- akonadi-17.08.3-orig/src/agentserver/CMakeLists.txt	2017-10-29 02:18:48.000000000 -0500
+++ akonadi-17.08.3/src/agentserver/CMakeLists.txt	2021-10-14 05:44:12.000000000 -0500
@@ -9,6 +9,7 @@
 ecm_qt_declare_logging_category(akonadi_agent_server_srcs HEADER akonadiagentserver_debug.h IDENTIFIER AKONADIAGENTSERVER_LOG CATEGORY_NAME org.kde.pim.akonadiagentserver)
 
 add_executable(akonadi_agent_server ${akonadi_agent_server_srcs})
+set_target_properties(akonadi_agent_server PROPERTIES MACOSX_BUNDLE off)
 
 target_link_libraries(akonadi_agent_server
     akonadi_shared
@@ -50,4 +51,4 @@
 endif()
 
 install(TARGETS akonadi_agent_server
-        ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}})
+        ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
diff -ruN akonadi-17.08.3-orig/src/akonadicontrol/CMakeLists.txt akonadi-17.08.3/src/akonadicontrol/CMakeLists.txt
--- akonadi-17.08.3-orig/src/akonadicontrol/CMakeLists.txt	2017-10-29 02:18:48.000000000 -0500
+++ akonadi-17.08.3/src/akonadicontrol/CMakeLists.txt	2021-10-14 05:43:30.000000000 -0500
@@ -32,6 +32,7 @@
 
 add_executable(akonadi_control ${control_SRCS})
 set_target_properties(akonadi_control PROPERTIES OUTPUT_NAME akonadi_control)
+set_target_properties(akonadi_control PROPERTIES MACOSX_BUNDLE off)
 
 if (WIN32)
     set_target_properties(akonadi_control PROPERTIES WIN32_EXECUTABLE TRUE)
diff -ruN akonadi-17.08.3-orig/src/akonadictl/CMakeLists.txt akonadi-17.08.3/src/akonadictl/CMakeLists.txt
--- akonadi-17.08.3-orig/src/akonadictl/CMakeLists.txt	2017-10-29 02:18:48.000000000 -0500
+++ akonadi-17.08.3/src/akonadictl/CMakeLists.txt	2021-10-14 05:44:48.000000000 -0500
@@ -16,6 +16,8 @@
 
 add_executable(akonadictl ${akonadictl_SRCS})
 set_target_properties(akonadictl PROPERTIES OUTPUT_NAME akonadictl)
+set_target_properties(akonadictl PROPERTIES MACOSX_BUNDLE off)
+
 target_link_libraries(akonadictl
     akonadi_shared
     KF5AkonadiPrivate
@@ -25,5 +27,5 @@
 )
 
 install(TARGETS akonadictl
-        ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}}
+        ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}
 )
diff -ruN akonadi-17.08.3-orig/src/asapcat/CMakeLists.txt akonadi-17.08.3/src/asapcat/CMakeLists.txt
--- akonadi-17.08.3-orig/src/asapcat/CMakeLists.txt	2017-10-29 02:18:48.000000000 -0500
+++ akonadi-17.08.3/src/asapcat/CMakeLists.txt	2021-10-14 05:45:13.000000000 -0500
@@ -4,6 +4,7 @@
 )
 
 add_executable(asapcat ${asapcat_srcs})
+set_target_properties(asapcat PROPERTIES MACOSX_BUNDLE off)
 
 target_link_libraries(asapcat
     akonadi_shared
diff -ruN akonadi-17.08.3-orig/src/qsqlite/CMakeLists.txt akonadi-17.08.3/src/qsqlite/CMakeLists.txt
--- akonadi-17.08.3-orig/src/qsqlite/CMakeLists.txt	2017-10-29 02:18:48.000000000 -0500
+++ akonadi-17.08.3/src/qsqlite/CMakeLists.txt	2021-10-14 04:31:53.000000000 -0500
@@ -15,7 +15,7 @@
     ${SQLITE_INCLUDE_DIR}
 )
 
-add_library(qsqlite3 SHARED ${QSqlite_SRCS} ${QSqlite_MOC_SRCS})
+add_library(qsqlite3 MODULE ${QSqlite_SRCS} ${QSqlite_MOC_SRCS})
 
 target_link_libraries(qsqlite3
     Qt5::Core
diff -ruN akonadi-17.08.3-orig/src/rds/CMakeLists.txt akonadi-17.08.3/src/rds/CMakeLists.txt
--- akonadi-17.08.3-orig/src/rds/CMakeLists.txt	2017-10-29 02:18:48.000000000 -0500
+++ akonadi-17.08.3/src/rds/CMakeLists.txt	2021-10-14 05:45:39.000000000 -0500
@@ -7,6 +7,7 @@
 )
 
 add_executable(akonadi_rds ${akonadi_rds_srcs})
+set_target_properties(akonadi_rds PROPERTIES MACOSX_BUNDLE off)
 
 target_link_libraries(akonadi_rds
     akonadi_shared
diff -ruN akonadi-17.08.3-orig/src/selftest/CMakeLists.txt akonadi-17.08.3/src/selftest/CMakeLists.txt
--- akonadi-17.08.3-orig/src/selftest/CMakeLists.txt	2017-10-29 02:18:48.000000000 -0500
+++ akonadi-17.08.3/src/selftest/CMakeLists.txt	2021-10-14 05:49:19.000000000 -0500
@@ -3,6 +3,7 @@
 )
 
 add_executable(akonadiselftest ${selftest_SRCS})
+set_target_properties(akonadiselftest PROPERTIES MACOSX_BUNDLE off)
 
 target_link_libraries(akonadiselftest
 PRIVATE
diff -ruN akonadi-17.08.3-orig/src/server/CMakeLists.txt akonadi-17.08.3/src/server/CMakeLists.txt
--- akonadi-17.08.3-orig/src/server/CMakeLists.txt	2017-10-29 02:18:48.000000000 -0500
+++ akonadi-17.08.3/src/server/CMakeLists.txt	2021-10-14 05:46:44.000000000 -0500
@@ -169,6 +169,8 @@
 
 add_executable(akonadiserver ${akonadiserver_SRCS})
 set_target_properties(akonadiserver PROPERTIES OUTPUT_NAME akonadiserver)
+set_target_properties(akonadiserver PROPERTIES MACOSX_BUNDLE off)
+
 target_link_libraries(akonadiserver
     libakonadiserver
     KF5::CoreAddons
diff -ruN akonadi-17.08.3-orig/src/xml/CMakeLists.txt akonadi-17.08.3/src/xml/CMakeLists.txt
--- akonadi-17.08.3-orig/src/xml/CMakeLists.txt	2017-10-29 02:18:48.000000000 -0500
+++ akonadi-17.08.3/src/xml/CMakeLists.txt	2021-10-14 05:47:46.000000000 -0500
@@ -32,6 +32,7 @@
 )
 
 add_executable(akonadi2xml akonadi2xml.cpp)
+set_target_properties(akonadi2xml PROPERTIES MACOSX_BUNDLE off)
 
 target_link_libraries(akonadi2xml
     KF5::AkonadiXml