diff -ruN kdeclarative-5.29.0-orig/CMakeLists.txt kdeclarative-5.29.0/CMakeLists.txt
--- kdeclarative-5.29.0-orig/CMakeLists.txt	2016-12-03 14:58:49.000000000 -0600
+++ kdeclarative-5.29.0/CMakeLists.txt	2017-01-08 12:05:06.000000000 -0600
@@ -18,6 +18,7 @@
 include(KDEInstallDirs)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
+include(ECMMarkNonGuiExecutable)
 
 find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
diff -ruN kdeclarative-5.29.0-orig/src/kpackagelauncherqml/CMakeLists.txt kdeclarative-5.29.0/src/kpackagelauncherqml/CMakeLists.txt
--- kdeclarative-5.29.0-orig/src/kpackagelauncherqml/CMakeLists.txt	2016-12-03 14:58:49.000000000 -0600
+++ kdeclarative-5.29.0/src/kpackagelauncherqml/CMakeLists.txt	2017-01-08 12:05:28.000000000 -0600
@@ -5,6 +5,7 @@
 )
 
 add_executable(kpackagelauncherqml ${kpackagelauncherqml_SRCS})
+ecm_mark_nongui_executable(kpackagelauncherqml)
 
 #find_package(ActiveApp REQUIRED)
 
diff -ruN kdeclarative-5.29.0-orig/src/qmlcontrols/draganddrop/CMakeLists.txt kdeclarative-5.29.0/src/qmlcontrols/draganddrop/CMakeLists.txt
--- kdeclarative-5.29.0-orig/src/qmlcontrols/draganddrop/CMakeLists.txt	2016-12-03 14:58:49.000000000 -0600
+++ kdeclarative-5.29.0/src/qmlcontrols/draganddrop/CMakeLists.txt	2017-01-08 12:01:24.000000000 -0600
@@ -9,7 +9,7 @@
     MimeDataWrapper.cpp
 )
 
-add_library(draganddropplugin SHARED ${declarativedragdrop_SRCS})
+add_library(draganddropplugin MODULE ${declarativedragdrop_SRCS})
 target_link_libraries(draganddropplugin
         Qt5::Core
         Qt5::Quick
diff -ruN kdeclarative-5.29.0-orig/src/qmlcontrols/kcoreaddons/CMakeLists.txt kdeclarative-5.29.0/src/qmlcontrols/kcoreaddons/CMakeLists.txt
--- kdeclarative-5.29.0-orig/src/qmlcontrols/kcoreaddons/CMakeLists.txt	2016-12-03 14:58:49.000000000 -0600
+++ kdeclarative-5.29.0/src/qmlcontrols/kcoreaddons/CMakeLists.txt	2017-01-08 12:01:24.000000000 -0600
@@ -6,7 +6,7 @@
     kuserproxy.cpp
     )
 
-add_library(kcoreaddonsplugin SHARED ${kcoreaddonsplugin_SRCS})
+add_library(kcoreaddonsplugin MODULE ${kcoreaddonsplugin_SRCS})
 target_link_libraries(kcoreaddonsplugin
         Qt5::Core
         Qt5::Quick
diff -ruN kdeclarative-5.29.0-orig/src/qmlcontrols/kioplugin/CMakeLists.txt kdeclarative-5.29.0/src/qmlcontrols/kioplugin/CMakeLists.txt
--- kdeclarative-5.29.0-orig/src/qmlcontrols/kioplugin/CMakeLists.txt	2016-12-03 14:58:49.000000000 -0600
+++ kdeclarative-5.29.0/src/qmlcontrols/kioplugin/CMakeLists.txt	2017-01-08 12:01:24.000000000 -0600
@@ -5,7 +5,7 @@
     krunproxy.cpp
     )
 
-add_library(kio SHARED ${kioplugin_SRCS})
+add_library(kio MODULE ${kioplugin_SRCS})
 target_link_libraries(kio
         Qt5::Core
         Qt5::Qml
diff -ruN kdeclarative-5.29.0-orig/src/qmlcontrols/kquickcontrols/private/CMakeLists.txt kdeclarative-5.29.0/src/qmlcontrols/kquickcontrols/private/CMakeLists.txt
--- kdeclarative-5.29.0-orig/src/qmlcontrols/kquickcontrols/private/CMakeLists.txt	2016-12-03 14:58:49.000000000 -0600
+++ kdeclarative-5.29.0/src/qmlcontrols/kquickcontrols/private/CMakeLists.txt	2017-01-08 12:01:24.000000000 -0600
@@ -6,7 +6,7 @@
     translationcontext.cpp
 )
 
-add_library(kquickcontrolsprivateplugin SHARED ${kquickcontrolsprivate_SRCS})
+add_library(kquickcontrolsprivateplugin MODULE ${kquickcontrolsprivate_SRCS})
 
 target_link_libraries(kquickcontrolsprivateplugin
         Qt5::Core
diff -ruN kdeclarative-5.29.0-orig/src/qmlcontrols/kquickcontrolsaddons/CMakeLists.txt kdeclarative-5.29.0/src/qmlcontrols/kquickcontrolsaddons/CMakeLists.txt
--- kdeclarative-5.29.0-orig/src/qmlcontrols/kquickcontrolsaddons/CMakeLists.txt	2016-12-03 14:58:49.000000000 -0600
+++ kdeclarative-5.29.0/src/qmlcontrols/kquickcontrolsaddons/CMakeLists.txt	2017-01-08 12:03:36.000000000 -0600
@@ -22,7 +22,7 @@
     include_directories(${epoxy_INCLUDE_DIR})
 endif()
 
-add_library(kquickcontrolsaddonsplugin SHARED ${kquickcontrolsaddons_SRCS})
+add_library(kquickcontrolsaddonsplugin MODULE ${kquickcontrolsaddons_SRCS})
 
 target_link_libraries(kquickcontrolsaddonsplugin
         Qt5::Core
diff -ruN kdeclarative-5.29.0-orig/src/qmlcontrols/kwindowsystemplugin/CMakeLists.txt kdeclarative-5.29.0/src/qmlcontrols/kwindowsystemplugin/CMakeLists.txt
--- kdeclarative-5.29.0-orig/src/qmlcontrols/kwindowsystemplugin/CMakeLists.txt	2016-12-03 14:58:49.000000000 -0600
+++ kdeclarative-5.29.0/src/qmlcontrols/kwindowsystemplugin/CMakeLists.txt	2017-01-08 12:01:24.000000000 -0600
@@ -5,7 +5,7 @@
     kwindowsystemproxy.cpp
     )
 
-add_library(kwindowsystem SHARED ${kwindowsystemplugin_SRCS})
+add_library(kwindowsystem MODULE ${kwindowsystemplugin_SRCS})
 target_link_libraries(kwindowsystem
         Qt5::Core
         Qt5::Qml