diff -ruN plasma-framework-5.29.0-orig/CMakeLists.txt plasma-framework-5.29.0/CMakeLists.txt
--- plasma-framework-5.29.0-orig/CMakeLists.txt	2016-12-03 15:14:52.000000000 -0600
+++ plasma-framework-5.29.0/CMakeLists.txt	2017-01-14 11:12:37.000000000 -0600
@@ -80,22 +80,6 @@
                       )
 
 #optional features
-find_package(X11 MODULE)
-set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
-                       URL "http://www.x.org"
-                       TYPE OPTIONAL
-                      )
-find_package(XCB MODULE COMPONENTS XCB COMPOSITE DAMAGE SHAPE XFIXES RENDER)
-set_package_properties(XCB PROPERTIES DESCRIPTION "X protocol C-language Binding"
-                       URL "http://xcb.freedesktop.org"
-                       TYPE OPTIONAL
-                      )
-if(X11_FOUND AND XCB_XCB_FOUND)
-  set(HAVE_X11 1)
-  find_package(Qt5 REQUIRED NO_MODULE COMPONENTS X11Extras)
-  #X11_Xrender discovery is done by FindX11
-  #add_feature_info("X Rendering Extension (libXrender)" X11_Xrender_FOUND "Support for compositing, rendering operations, and alpha-blending. STRONGLY RECOMMENDED")
-endif()
 
 #FIXME: when we have a qca for qt5, reenable
 # find_package(QCA2 2.0.0 MODULE)
diff -ruN plasma-framework-5.29.0-orig/src/declarativeimports/calendar/CMakeLists.txt plasma-framework-5.29.0/src/declarativeimports/calendar/CMakeLists.txt
--- plasma-framework-5.29.0-orig/src/declarativeimports/calendar/CMakeLists.txt	2016-12-03 15:14:52.000000000 -0600
+++ plasma-framework-5.29.0/src/declarativeimports/calendar/CMakeLists.txt	2017-01-14 11:12:37.000000000 -0600
@@ -11,7 +11,7 @@
     eventpluginsmanager.cpp
 )
 
-add_library(calendarplugin SHARED ${calendar_SRCS})
+add_library(calendarplugin MODULE ${calendar_SRCS})
 
 target_link_libraries(calendarplugin
     Qt5::Core
diff -ruN plasma-framework-5.29.0-orig/src/declarativeimports/core/CMakeLists.txt plasma-framework-5.29.0/src/declarativeimports/core/CMakeLists.txt
--- plasma-framework-5.29.0-orig/src/declarativeimports/core/CMakeLists.txt	2016-12-03 15:14:52.000000000 -0600
+++ plasma-framework-5.29.0/src/declarativeimports/core/CMakeLists.txt	2017-01-14 11:12:37.000000000 -0600
@@ -24,7 +24,7 @@
     windowthumbnail.cpp
     )
 
-add_library(corebindingsplugin SHARED ${corebindings_SRCS})
+add_library(corebindingsplugin MODULE ${corebindings_SRCS})
 target_link_libraries(corebindingsplugin
         Qt5::Quick
         Qt5::Qml
diff -ruN plasma-framework-5.29.0-orig/src/declarativeimports/plasmacomponents/CMakeLists.txt plasma-framework-5.29.0/src/declarativeimports/plasmacomponents/CMakeLists.txt
--- plasma-framework-5.29.0-orig/src/declarativeimports/plasmacomponents/CMakeLists.txt	2016-12-03 15:14:52.000000000 -0600
+++ plasma-framework-5.29.0/src/declarativeimports/plasmacomponents/CMakeLists.txt	2017-01-14 11:12:37.000000000 -0600
@@ -10,7 +10,7 @@
     qmenuitem.cpp
     )
 
-add_library(plasmacomponentsplugin SHARED ${plasmacomponents_SRCS})
+add_library(plasmacomponentsplugin MODULE ${plasmacomponents_SRCS})
 target_link_libraries(plasmacomponentsplugin
         Qt5::Core
         Qt5::Quick
diff -ruN plasma-framework-5.29.0-orig/src/declarativeimports/plasmaextracomponents/CMakeLists.txt plasma-framework-5.29.0/src/declarativeimports/plasmaextracomponents/CMakeLists.txt
--- plasma-framework-5.29.0-orig/src/declarativeimports/plasmaextracomponents/CMakeLists.txt	2016-12-03 15:14:52.000000000 -0600
+++ plasma-framework-5.29.0/src/declarativeimports/plasmaextracomponents/CMakeLists.txt	2017-01-14 11:12:37.000000000 -0600
@@ -12,7 +12,7 @@
     fallbackcomponent.cpp
     )
 
-add_library(plasmaextracomponentsplugin SHARED ${plasmaextracomponents_SRCS})
+add_library(plasmaextracomponentsplugin MODULE ${plasmaextracomponents_SRCS})
 
 target_link_libraries(plasmaextracomponentsplugin
         Qt5::Quick
diff -ruN plasma-framework-5.29.0-orig/src/declarativeimports/platformcomponents/CMakeLists.txt plasma-framework-5.29.0/src/declarativeimports/platformcomponents/CMakeLists.txt
--- plasma-framework-5.29.0-orig/src/declarativeimports/platformcomponents/CMakeLists.txt	2016-12-03 15:14:52.000000000 -0600
+++ plasma-framework-5.29.0/src/declarativeimports/platformcomponents/CMakeLists.txt	2017-01-14 11:12:37.000000000 -0600
@@ -7,7 +7,7 @@
     icondialog.cpp
     )
 
-add_library(platformcomponentsplugin SHARED ${platformcomponents_SRCS})
+add_library(platformcomponentsplugin MODULE ${platformcomponents_SRCS})
 
 target_link_libraries(
     platformcomponentsplugin
diff -ruN plasma-framework-5.29.0-orig/src/tools/inkscape extensions/plasmarename.py plasma-framework-5.29.0/src/tools/inkscape extensions/plasmarename.py
--- plasma-framework-5.29.0-orig/src/tools/inkscape extensions/plasmarename.py	2016-12-03 15:14:52.000000000 -0600
+++ plasma-framework-5.29.0/src/tools/inkscape extensions/plasmarename.py	2017-01-14 11:16:09.000000000 -0600
@@ -21,7 +21,7 @@
 
 
 import sys
-sys.path.append('/usr/share/inkscape/extensions')
+sys.path.append('@FINK_PREFIX@/share/inkscape/extensions')
 
 import inkex
 